RobGalbraith.com
Go to advertiser website.
     Home
     RSS
     CF/SD/XQD
     About
     Contact
Go
Go to advertiser website.
 
Canon DPP 1.5, EVU 1.2.1 and EOS Capture 1.2 now available  
Wednesday, November 24, 2004 | by Rob Galbraith

Shortly after we published a story this morning indicating that Digital Photo Professional (DPP) 1.5, EOS Viewer Utility (EVU) 1.2.1 and EOS Capture 1.2 were to be released late tonight (North American time), we discovered that Canon has now posted the trio of software a bit ahead of schedule.

Updaters for all three applications, for both Windows and Mac platforms, are freely downloadable from Canon now. Previous versions of Canon software are required to install the new versions of EVU and DPP, though no camera serial number is required to download the updater files.

The updaters can be accessed from the download library pages on the Canon USA web site. We were able to follow either the Windows Drivers or Mac Drivers link (software for both platforms is available via either link) on the EOS-1D Mark II Download Library page to gain access to the downloads.

Note: The EOS Viewer Utility 1.2.1 updater on the Canon USA web site, possibly just the Windows version, is installing a non-English copy of the software. Canon is aware of the problem and hopes to have it rectified late this evening (North American time).

Update, November 25, 2004 (9:30 AM MT): The version of the EOS Viewer Utility 1.2.1 updater for Windows for English systems on the Canon web site is now installing the English version of the software.

An excerpt from an email by Canon USA's Chuck Westfall, below, provides some additional compatibility and usage information for the new software versions.

Excerpt from an email from Canon USA's Chuck Westfall 

For Canon USA customers, the downloading procedure will be as follows:

1. Go to the following web page:

http://consumer.usa.canon.com/ir/controller?act=DownloadIndexAct

2. Use the pulldown menus to access the Support page for an eligible camera. The list of eligible cameras includes:

EOS-1Ds Mark II
EOS-1D Mark II
EOS-1Ds
EOS-1D
EOS 20D
EOS 10D
EOS Digital Rebel
EOS D60
EOS D30
PowerShot Pro1

Please note that DPP 1.5 is not fully compatible with the EOS D60 or D30, but EVU 1.2.1 is. Also, EOS Capture 1.2 is only compatible with the 1-series EOS Digital SLRs and the EOS 20D. Use RemoteCapture for earlier models. Last but not least, the PowerShot Pro1 is compatible with DPP 1.5, but not with EVU or EOS Capture. Use a compatible version of ZoomBrowser EX or ImageBrowser to achieve RAW processing or remote control operation with the Pro1.

3. When you reach the Support page for your eligible camera, click on the link for "Software Applications and Updates." This will launch a new window with a series of prompts that must be followed in order to download the software.

Please note: If you don't see the new software listed for your camera model, you can still download it by navigating to the Support page for another eligible camera. (Initially, the Support pages for EOS-1Ds Mark II and PowerShot Pro1 may not link to the new software, so use the Support page for another camera like the EOS-1D Mark II or 20D instead.)

DPP 1.5 will be available for Windows XP/2000/Me/98SE and Mac OS X Version 10.2 or higher. EVU 1.2.1 and EOS Capture will be available for Windows XP/2000/Me/98SE and Mac OS 9 as well as Mac OS X Version 10.2 or higher.

Send this page to: Twitter Twitter Facebook Facebook Google Bookmarks Google Bookmarks Email Email
Go to advertiser website.
2000-2013 Little Guy Media. Not to be reproduced without written permission.